package com.hz.pm.api.user.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 组织表
 * </p>
 *
 * @author CMM
 * @since 2023-12-25
 */
@Data
@TableName("MH_UNIT")
@ApiModel(value = "MhUnit对象", description = "组织表")
public class MhUnit implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.INPUT)
    private Long id;

    private String name;

    private Long parentId;

    private Short sort;

    /**
     * 单位类型
     */
    private String type;
    /**
     * 统一社会信用代码
     */
    private String unifiedSocialCreditCode;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

}
